Surf Polymarket Trades
curl --request POST \
--url https://api.aisa.one/apis/v1/surf/prediction-market/polymarket/trades \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"condition_id": "<string>",
"address": "<string>"
}
'import requests
url = "https://api.aisa.one/apis/v1/surf/prediction-market/polymarket/trades"
payload = {
"condition_id": "<string>",
"address": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({condition_id: '<string>', address: '<string>'})
};
fetch('https://api.aisa.one/apis/v1/surf/prediction-market/polymarket/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/surf/prediction-market/polymarket/trades",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'condition_id' => '<string>',
'address' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/surf/prediction-market/polymarket/trades"
payload := strings.NewReader("{\n \"condition_id\": \"<string>\",\n \"address\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/surf/prediction-market/polymarket/trades")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"condition_id\": \"<string>\",\n \"address\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/surf/prediction-market/polymarket/trades")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"condition_id\": \"<string>\",\n \"address\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {}
}Surf
Surf Polymarket Trades
Surf Polymarket Trades
<!-- aisa-pricing:start -->
A request reference price is not currently available; use a request quote where supported. Account-specific pricing and final settlement may differ.
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
surf
/
prediction-market
/
polymarket
/
trades
Surf Polymarket Trades
curl --request POST \
--url https://api.aisa.one/apis/v1/surf/prediction-market/polymarket/trades \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"condition_id": "<string>",
"address": "<string>"
}
'import requests
url = "https://api.aisa.one/apis/v1/surf/prediction-market/polymarket/trades"
payload = {
"condition_id": "<string>",
"address": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({condition_id: '<string>', address: '<string>'})
};
fetch('https://api.aisa.one/apis/v1/surf/prediction-market/polymarket/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/surf/prediction-market/polymarket/trades",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'condition_id' => '<string>',
'address' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/surf/prediction-market/polymarket/trades"
payload := strings.NewReader("{\n \"condition_id\": \"<string>\",\n \"address\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/surf/prediction-market/polymarket/trades")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"condition_id\": \"<string>\",\n \"address\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/surf/prediction-market/polymarket/trades")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"condition_id\": \"<string>\",\n \"address\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {}
}Request contract
- Method and path: POST /apis/v1/surf/prediction-market/polymarket/trades
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/surf/prediction-market/polymarket/trades - Runtime facts: 986d7b557d4db8647aee169884ac6410895d723df086210d7e098b01fc34c6c5
{
"operationId": "post_surf_apis_v1_surf_prediction_market_polymark_c77b68",
"method": "POST",
"path": "/apis/v1/surf/prediction-market/polymarket/trades",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"anyOf": [
{
"additionalProperties": false,
"properties": {
"address": {
"minLength": 1,
"type": "string"
},
"condition_id": {
"minLength": 1,
"type": "string"
},
"from": {
"minLength": 1,
"type": "string"
},
"limit": {
"maximum": 500,
"minimum": 1,
"type": "integer"
},
"min_amount": {
"minimum": 0,
"type": "number"
},
"offset": {
"maximum": 9007199254740991,
"minimum": 0,
"type": "integer"
},
"outcome_label": {
"enum": [
"Yes",
"No"
],
"type": "string"
},
"sort_by": {
"enum": [
"timestamp",
"notional_volume_usd"
],
"type": "string"
},
"to": {
"minLength": 1,
"type": "string"
},
"type": {
"enum": [
"trade",
"redemption",
"all"
],
"type": "string"
}
},
"required": [
"condition_id"
],
"type": "object"
},
{
"additionalProperties": false,
"properties": {
"address": {
"minLength": 1,
"type": "string"
},
"condition_id": {
"minLength": 1,
"type": "string"
},
"from": {
"minLength": 1,
"type": "string"
},
"limit": {
"maximum": 500,
"minimum": 1,
"type": "integer"
},
"min_amount": {
"minimum": 0,
"type": "number"
},
"offset": {
"maximum": 9007199254740991,
"minimum": 0,
"type": "integer"
},
"outcome_label": {
"enum": [
"Yes",
"No"
],
"type": "string"
},
"sort_by": {
"enum": [
"timestamp",
"notional_volume_usd"
],
"type": "string"
},
"to": {
"minLength": 1,
"type": "string"
},
"type": {
"enum": [
"trade",
"redemption",
"all"
],
"type": "string"
}
},
"required": [
"address"
],
"type": "object"
}
]
}
}
},
"required": true
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"estimate_source": "unavailable",
"estimate_unavailable_reason": "reference_request_unavailable",
"evidence_source": "response_body"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
A request reference price is not currently available; use a request quote where supported. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Cost contract: response_units
- Published reference multiplier: 1.0
- Settlement evidence source: response_body
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
- Option 1
- Option 2
Minimum string length:
1Minimum string length:
1Minimum string length:
1Required range:
1 <= x <= 500Required range:
x >= 0Required range:
0 <= x <= 9007199254740991Available options:
Yes, No Available options:
timestamp, notional_volume_usd Minimum string length:
1Available options:
trade, redemption, all Response
Normalized successful response